# Generated by Django 2.2.9 on 2019-12-31 18:37

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Exercise',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('exercise_type', models.CharField(choices=[(0, 'Aerobic'), (1, 'Anerobic')], max_length=1)),
                ('motion_type', models.CharField(choices=[(0, 'Push'), (1, 'Pull'), (2, 'Cardio')], max_length=1)),
                ('name', models.CharField(max_length=256)),
                ('description', models.CharField(blank=True, max_length=256)),
                ('target', models.CharField(choices=[(0, 'Upper'), (1, 'Lower')], max_length=1)),
            ],
        ),
        migrations.CreateModel(
            name='Routine',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256)),
                ('description', models.CharField(blank=True, max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='ExerciseSet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('repetitions', models.PositiveIntegerField(null=True)),
                ('duration', models.PositiveIntegerField(null=True)),
                ('exercise', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='esets', related_query_name='eset', to='fitness.Exercise')),
                ('routine', models.ManyToManyField(related_name='esets', related_query_name='eset', to='fitness.Routine')),
            ],
        ),
    ]
